Summary: web browser plugin for BankID
Name: fribid
Version: 1.0.0
Release: 1%{?dist}
Group: Applications/Internet
License: MIT
Source: http://fribid.se/releases/source/%{name}-%{version}.tar.bz2
URL: http://fribid.se/
BuildRequires: openssl-devel
BuildRequires: libp11-devel
BuildRequires: pkgconfig
BuildRequires: gettext
BuildRequires: gtk2-devel
BuildRequires: mozilla-filesystem
BuildRequires: opensc

%description
FriBID is a web browser plugin for BankID, a kind of electronic ID
(e-legitmiation) that's used in Sweden. It supports file-based
electronic IDs (e-legitimation på fil) and card-based IDs (e-legitimation
på kort), with some limitations:

 * You can not import soft certificates from Nexus Personal (encrypted)
 * To change your password/PIN you need to use other programs.
 * To use card-based IDs you needs some configuration,
   see http://wiki.fribid.se/sidor/SmartCards (in Swedish).

FriBID is only compatible with the second version of BankID, and not
the older system that uses Java applets.

%prep
%setup

%build
CFLAGS=${RPM_OPT_FLAGS} ./configure --prefix=/usr
make all

%install
make "DESTDIR=${RPM_BUILD_ROOT}" install

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc CHANGELOG INSTALL LICENSE
%{_mandir}/man7/*
%{_mandir}/*/man7/*
%{_datadir}/%{name}
%{_datadir}/locale/sv/LC_MESSAGES/%{name}.mo
%{_libdir}/%{name}
%{_libdir}/mozilla/plugins/lib%{name}plugin.so

%changelog
* Sun Sep 25 2011 Henrik Nordstrom <henrik@henriknordstrom.net>  1.0.0-1
- Update to 1.0.0:
  * [security update] Many fixes of potential problems, discovered with
    tools like Sparse and Clang --analyze, and manual review of the code.
    None of the problems are known to be remotely exploitable, but all
    users are encouraged to upgrade.
  * Fixed problem with enrollment of new certificates on Chrome/Chromium.
  * Added the TextCharacterEncoding parameter. Needed by minameddelanden.se
  * Improved parsing of SubjectDN. This fixes a problem with enrollment on
    Handelsbanken.
  * The MIME type "application/x-personal-signer" is now claimed to be
    supported. This makes the log in work on Handelsbanken.
  * Fixed a problem on 64-bit platforms. Thanks to Edward Tjörnhammar.
  * Subjects are now sorted by their display name.


* Thu May 26 2011 Henrik Nordstrom <henrik@henriknordstrom.net> 0.3.0-1
- Security update to properly handle unexpected character encodings
- Support for requesting new soft certificates
- OpenSSL 1.0.0 suport
- Improved compatibility with various web sites

* Sun Sep 19 2010 Henrik Nordstrom <henrik@henriknordstrom.net> 0.2.0-1
- FriBID 0.2.0, initial release with smartcard support

